Module javafx.controls
Package javafx.scene.control.skin

# Class TreeCellSkin<T>

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<C>
javafx.scene.control.skin.CellSkinBase<TreeCell<T>>
javafx.scene.control.skin.TreeCellSkin<T>

All Implemented Interfaces:
  `Skin<TreeCell<T>>`

    public class TreeCellSkin<T>
    extends CellSkinBase<TreeCell<T>>

Default skin implementation for the `TreeCell` control.

Since:
  9
See Also:
  `TreeCell`

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `DoubleProperty` | `indent` | The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.

  ### Properties declared in class javafx.scene.control.skin.CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TreeCellSkin​(TreeCell<T> control)` | Creates a new TreeCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` | Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `double` | `getIndent()` | Gets the value of the property indent.
  `DoubleProperty` | `indentProperty()` | The amount of space to multiply by the treeItem.level to get the left margin for this tree cell.
  `void` | `setIndent​(double value)` | Sets the value of the property indent.

  ### Methods declared in class javafx.scene.control.skin.CellSkinBase

  `cellSizeProperty, getCellSize`

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getCssMetaData, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `dispose, getNode, getSkinnable`

- ## Property Details

  - ### indent

    public final DoubleProperty indentProperty
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    See Also:
      `getIndent()`, `setIndent(double)`

- ## Constructor Details

  - ### TreeCellSkin

    public TreeCellSkin​(TreeCell<T> control)
    Creates a new TreeCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### setIndent

    public final void setIndent​(double value)
    Sets the value of the property indent.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS

  - ### getIndent

    public final double getIndent()
    Gets the value of the property indent.
    Property description:
      The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS

  - ### indentProperty

    public final DoubleProperty indentProperty()
    The amount of space to multiply by the treeItem.level to get the left margin for this tree cell. This is settable from CSS
    See Also:
      `getIndent()`, `setIndent(double)`

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses